// Program TEST_lx
// Test program for extended staggered
// interval arithmetic;

#include <iostream> 
#include "lx_cimath.hpp"


using namespace cxsc;
using namespace std;

int main()
{
    stagprec = 3; // Precision of about 3*16=48 decimal digits;

    lx_interval x,y;
    lx_cinterval z,w;
	 
    cout << SetDotPrecision(16*stagprec,16*stagprec) << Scientific;
	 x = lx_interval(+1234567890123456.0,l_interval(1,2));
	 // x = 2^(+1234567890123456) * [1,2];
	 y = lx_interval(-1234567,"[0.1,0.1]");
	 // y is an inclusion of 10^(-1234567) * [0.1,0.1] 
    z = lx_cinterval(x,y);
    w = sqrt(z);
	 // Output in decimal format:
	 cout << "sqrt1px2(z) = " << w << endl;
} 
